Bug 689268 - upgrade from OOo -> LO (F14 -> F15) doesn't upgrade autocorr-*
upgrade from OOo -> LO (F14 -> F15) doesn't upgrade autocorr-*
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F15Beta/F15BetaBlocker
  Show dependency treegraph
 
Reported: 2011-03-20 14:21 EDT by Christopher Aillon
Modified: 2011-03-28 23:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: poppler-0.16.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-28 23:55:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
yum output from an attempt to upgrade (9.04 KB, text/plain)
2011-03-25 14:17 EDT, Adam Williamson
no flags Details

  None (edit)
Description Christopher Aillon 2011-03-20 14:21:47 EDT
autocorr package names are the same, but the OOo ones have an epoch of 1, LO ones do not have an epoch, so the old OOo autocorr packages stick around...
Comment 1 Caolan McNamara 2011-03-20 16:18:28 EDT
Bah, at original packaging time I had considered that, but then forgot again. I suppose there's no way around bumping the epoch in order to get that migration to work.
Comment 2 Caolan McNamara 2011-03-21 06:22:04 EDT
>= 1:3.3.1.2-11.fc15
Comment 3 Fedora Update System 2011-03-22 06:11:56 EDT
poppler-0.16.3-1.fc15,libreoffice-3.3.1.2-11.fc15,ufraw-0.18-2.fc15,vtk-5.6.1-5.fc15,apvlv-0.0.9.8-4.fc15,calibre-0.7.44-3.fc15,ease-0.4-4.fc15,epdfview-0.1.7-13.20100621svn.fc15,evince-2.91.92-2.fc15,gambas2-2.22.0-6.fc15,gdcm-2.0.16-17.fc15,gimp-2.6.11-8.fc15,gloobus-preview-0.4.1-13.fc15,gnome-commander-1.2.8.10-3.fc15,gummi-0.5.5-4.fc15,inkscape-0.48.1-4.fc15,koffice-2.3.3-2.fc15,libextractor-0.6.2-1508.fc15,OpenSceneGraph-2.8.3-10.fc15,pdf2djvu-0.7.4-7.fc15,pdf2svg-0.2.1-11.fc15,pypoppler-0.12.1-11.fc15,referencer-1.1.6-15.fc15,rubygem-poppler-0.90.8-2.fc15,texlive-2007-62.fc15,texmaker-2.1-5.fc15,texmakerx-2.0-6.fc15,tracker-0.10.3-2.fc15,vifir-0.8-1.fc15,xournal-0.4.5-12.fc15,zathura-0.0.8.2-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/poppler-0.16.3-1.fc15,libreoffice-3.3.1.2-11.fc15,ufraw-0.18-2.fc15,vtk-5.6.1-5.fc15,apvlv-0.0.9.8-4.fc15,calibre-0.7.44-3.fc15,ease-0.4-4.fc15,epdfview-0.1.7-13.20100621svn.fc15,evince-2.91.92-2.fc15,gambas2-2.22.0-6.fc15,gdcm-2.0.16-17.fc15,gimp-2.6.11-8.fc15,gloobus-preview-0.4.1-13.fc15,gnome-commander-1.2.8.10-3.fc15,gummi-0.5.5-4.fc15,inkscape-0.48.1-4.fc15,koffice-2.3.3-2.fc15,libextractor-0.6.2-1508.fc15,OpenSceneGraph-2.8.3-10.fc15,pdf2djvu-0.7.4-7.fc15,pdf2svg-0.2.1-11.fc15,pypoppler-0.12.1-11.fc15,referencer-1.1.6-15.fc15,rubygem-poppler-0.90.8-2.fc15,texlive-2007-62.fc15,texmaker-2.1-5.fc15,texmakerx-2.0-6.fc15,tracker-0.10.3-2.fc15,vifir-0.8-1.fc15,xournal-0.4.5-12.fc15,zathura-0.0.8.2-5.fc15
Comment 4 Fedora Update System 2011-03-23 09:22:11 EDT
libreoffice-3.3.2.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.2.2-2.fc15
Comment 5 James Laska 2011-03-24 11:17:51 EDT
Adding this to the F-15-Beta blocker proposed list to ensure this update is pulled in.  This would impact Alpha criteria regarding package dependency problems.

"There must be no file conflicts (cases where the files in some packages conflict but the packages have explicit Conflicts: tags are acceptable) or unresolved package dependencies during a media-based (CD/DVD) install"
Comment 6 Adam Williamson 2011-03-25 14:17:17 EDT
the edited update still fails for me, i think some of the dependencies have not been adjusted for the addition of an epoch. See attachment.
Comment 7 Adam Williamson 2011-03-25 14:17:44 EDT
Created attachment 487637 [details]
yum output from an attempt to upgrade

yum output from an attempt to upgrade
Comment 8 Adam Williamson 2011-03-25 14:18:19 EDT
never mind, seems like my mirror is old.
Comment 9 Adam Williamson 2011-03-25 14:19:48 EDT
Discussed at 2011-03-25 blocker review meeting, we accept this as a Beta blocker. The fixed update looks good, just waiting on it to hit stable.
Comment 10 Fedora Update System 2011-03-28 23:55:27 EDT
libreoffice-3.3.2.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-03-28 23:57:14 EDT
poppler-0.16.3-1.fc15, ufraw-0.18-2.fc15, vtk-5.6.1-5.fc15, apvlv-0.0.9.8-4.fc15, calibre-0.7.44-3.fc15, ease-0.4-4.fc15, epdfview-0.1.7-13.20100621svn.fc15, gdcm-2.0.16-17.fc15, gimp-2.6.11-8.fc15, gloobus-preview-0.4.1-13.fc15, gnome-commander-1.2.8.10-3.fc15, gummi-0.5.5-4.fc15, inkscape-0.48.1-4.fc15, koffice-2.3.3-2.fc15, libextractor-0.6.2-1508.fc15, OpenSceneGraph-2.8.3-10.fc15, pdf2djvu-0.7.4-7.fc15, pdf2svg-0.2.1-11.fc15, pypoppler-0.12.1-11.fc15, referencer-1.1.6-15.fc15, rubygem-poppler-0.90.8-2.fc15, texlive-2007-62.fc15, texmaker-2.1-5.fc15, vifir-0.8-1.fc15, xournal-0.4.5-12.fc15, zathura-0.0.8.2-5.fc15, gambas2-2.22.0-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.